/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-18-2011 09:34:34pm
Filepath: scripts\_custom\events and scenarios\Easter 2011\StuffedAnimal.cs
Lines of code: 79
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Network;
using System.Collections;

namespace Server.Items
{
	public class StuffedAnimal : Item
	{
		[Constructable]
		public StuffedAnimal() : base( 8472 )
		{
			Name = "a stuffed animal";
			LootType=LootType.Blessed;
			Weight = 1.0;
			switch ( Utility.Random( 15 ) )
			{
				default:
				case 0: Hue = 2210;break;
				case 1: Hue = 1173;break;
				case 2: Hue = 1168;break;
				case 3: Hue = 1151;break;
				case 4: Hue = 1160;break;
				case 5: Hue = 1165;break;
				case 6: Hue = 16;break;
				case 7: Hue = 1169;break;
				case 8: Hue = 1150;break;
				case 9: Hue = 1153;break;
				case 10: Hue = 1164;break;
				case 11: Hue = 1157;break;
				case 12: Hue = 1166;break;
				case 13: Hue = 33;break;
				case 14: Hue = 1154;break;
			}
			
			switch ( Utility.Random( 15 ) )
			{
				default:
				case 0: ItemID = 8472;break;
				case 1: ItemID = 8450;break;
				case 2: ItemID = 8406;break;
				case 3: ItemID = 8497;break;
				case 4: ItemID = 8437;break;
				case 5: ItemID = 8472;break;
				case 6: ItemID = 8450;break;
				case 7: ItemID = 8406;break;
				case 8: ItemID = 8497;break;
				case 9: ItemID = 8437;break;
				case 10: ItemID = 8472;break;
				case 11: ItemID = 8450;break;
				case 12: ItemID = 8406;break;
				case 13: ItemID = 8497;break;
				case 14: ItemID = 9679;break;
			}
		}
		
		public override void GetProperties( ObjectPropertyList list)
		{
			base.GetProperties( list );
			list.Add( 1060658,"Christmas \t" + "2010");
		}
		
		public override void OnDoubleClick( Mobile from )
		{
			if (from.Alive && from != null)
				from.LocalOverheadMessage( MessageType.Regular, 2210, true, "* You feel joyful as you squeeze the stuffed animal *" );
		}

		public StuffedAnimal( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}